CREATE TABLE ap_awt_temp_distributions_all (
    INVOICE_ID                   NUMBER(18, 0)     NOT NULL,
    PAYMENT_NUM                  NUMBER(18, 0) ,
    GROUP_ID                     NUMBER(18, 0)     NOT NULL,
    TAX_NAME                     VARCHAR2(60)      NOT NULL,
    TAX_CODE_COMBINATION_ID      NUMBER(18, 0)     NOT NULL,
    GROSS_AMOUNT                 NUMBER            NOT NULL,
    WITHHOLDING_AMOUNT           NUMBER            NOT NULL,
    BASE_WITHHOLDING_AMOUNT      NUMBER        ,
    ACCOUNTING_DATE              DATE              NOT NULL,
    PERIOD_NAME                  VARCHAR2(60)      NOT NULL,
    CHECKRUN_NAME                VARCHAR2(1020),
    TAX_RATE_ID                  NUMBER(18, 0)     NOT NULL,
    ORG_ID                       NUMBER(18, 0)     NOT NULL,
    INVOICE_PAYMENT_ID           NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20           VARCHAR2(600) ,
    AWT_RELATED_ID               NUMBER(18, 0) ,
    CHECKRUN_ID                  NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SUMMARY_TAX_LINE_ID          NUMBER(18, 0) ,
    DETAIL_TAX_LINE_ID           NUMBER(18, 0) ,
    INVOICE_ID                   NUMBER(18, 0)     NOT NULL,
    PAYMENT_NUM                  NUMBER(18, 0) ,
    GROUP_ID                     NUMBER(18, 0)     NOT NULL,
    TAX_NAME                     VARCHAR2(60)      NOT NULL,
    TAX_CODE_COMBINATION_ID      NUMBER(18, 0)     NOT NULL,
    GROSS_AMOUNT                 NUMBER            NOT NULL,
    WITHHOLDING_AMOUNT           NUMBER            NOT NULL,
    BASE_WITHHOLDING_AMOUNT      NUMBER        ,
    ACCOUNTING_DATE              DATE              NOT NULL,
    PERIOD_NAME                  VARCHAR2(60)      NOT NULL,
    CHECKRUN_NAME                VARCHAR2(1020),
    TAX_RATE_ID                  NUMBER(18, 0)     NOT NULL,
    ORG_ID                       NUMBER(18, 0)     NOT NULL,
    INVOICE_PAYMENT_ID           NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20           VARCHAR2(600) ,
    AWT_RELATED_ID               NUMBER(18, 0) ,
    CHECKRUN_ID                  NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SUMMARY_TAX_LINE_ID          NUMBER(18, 0) ,
    DETAIL_TAX_LINE_ID           NUMBER(18, 0) 
);
